--- src/3rdparty/chromium/media/media_options.gni.orig	2024-10-02 15:40:01 UTC
+++ src/3rdparty/chromium/media/media_options.gni
@@ -202,12 +202,15 @@ declare_args() {
   # Enables runtime selection of ALSA library for audio.
   use_alsa = false
 
+  # Enable runtime selection of sndio(7)
+  use_sndio = false
+
   # Alsa should be used on all non-Android, non-Mac POSIX systems - with the
   # exception of CastOS desktop builds.
   #
   # TODO(crbug.com/1336055): Remove legacy target_cpu hack used for targeting
   # desktop Chromecast builds.
-  if (is_posix && !is_android && !is_apple &&
+  if (is_posix && !is_android && !is_apple && !is_bsd &&
       (!is_castos || (target_cpu == "x86" || target_cpu == "x64") ||
        is_cast_audio_only)) {
     use_alsa = true
@@ -223,6 +226,10 @@ declare_args() {
     if (!use_cras && !is_castos && !is_asan && !is_tsan) {
       use_pulseaudio = true
     }
+  }
+  if (is_openbsd) {
+    use_sndio = true
+    use_pulseaudio = false
   }
 }
 
